## osm2go 0.6.14.1-maemo1

=== debian/changelog ===
osm2go (0.6.14.1-maemo1) unstable; urgency=low

  * New trunk release.
  * Bump debian/rules etc. for build.

 -- Andrew Chadwick <andrewc@piffle.org>  Sat, 21 Mar 2009 22:38:13 +0000
