## osm2go 0.7.0-maemo1

=== debian/changelog ===
osm2go (0.7.0-maemo1) unstable; urgency=low

  * Fuzzy object detection
  * First fremantle related patches
  * API 0.6 support
  * Improved relation handling
  * Faster object detection
  * Detail level adjustment

 -- Till Harbaum <harbaum@metis>  Mon, 20 Apr 2009 20:41:32 +0200
