## osm2go 0.7.0.1-maemo1

=== debian/changelog ===
osm2go (0.7.0.1-maemo1) unstable; urgency=low

  * "Error 417 expect" fixing

 -- Till Harbaum <harbaum@metis>  Fri, 24 Apr 2009 12:05:25 +0200
