## osm2go 0.7.0.2-maemo1

=== debian/changelog ===
osm2go (0.7.0.2-maemo1) unstable; urgency=low

  * No it should be fixed

 -- Till Harbaum <harbaum@metis>  Fri, 24 Apr 2009 13:36:32 +0200
