## osm2go 0.7.1-maemo1

=== debian/changelog ===
osm2go (0.7.1-maemo1) unstable; urgency=low

  * Dialog size framework
  * Fix of error "417" in delete operations

 -- Till Harbaum <till@harbaum.org>  Mon, 27 Apr 2009 19:57:13 +0200
