## osm2go 0.7.1.1-maemo1

=== debian/changelog ===
osm2go (0.7.1.1-maemo1) unstable; urgency=low

  * Fix crash while switching projects while GPS without fix
  * Fixed bug in map_state while switching projects
	
 -- Till Harbaum <harbaum@metis>  Sat, 02 May 2009 10:17:22 +0200
