## osm2go 0.7.1.2-maemo1

=== debian/changelog ===
osm2go (0.7.1.2-maemo1) unstable; urgency=low

  * Yet another GPS related crash fix

 -- Till Harbaum <harbaum@metis>  Sun, 03 May 2009 20:49:04 +0200
