## osm2go 0.7.1.3-maemo1

=== debian/changelog ===
osm2go (0.7.1.3-maemo1) unstable; urgency=low

  * dito

 -- Till Harbaum <till@harbaum.org>  Sun, 24 May 2009 21:23:38 +0200
