## osm2go 0.7.2-maemo1

=== debian/changelog ===
osm2go (0.7.2-maemo1) unstable; urgency=low

  * Node distance detection bug fix
  * Fremantle memory card adjustments

 -- Till Harbaum <harbaum@metis>  Mon, 01 Jun 2009 13:32:51 +0200
