## osm2go 0.7.3-maemo1

=== debian/changelog ===
osm2go (0.7.3-maemo1) unstable; urgency=low

  * More minor Fremantle adjustments

 -- Till Harbaum <harbaum@metis>  Tue, 16 Jun 2009 10:36:12 +0200
