## osm2go 0.7.4-maemo1

=== debian/changelog ===
osm2go (0.7.4-maemo1) unstable; urgency=low

  * Automatic setup of initial demo project

 -- Till Harbaum <harbaum@metis>  Thu, 18 Jun 2009 20:37:59 +0200
