## osm2go 0.7.5-maemo1

=== debian/changelog ===
osm2go (0.7.5-maemo1) unstable; urgency=low

  * Fremantle data path fix

 -- Till Harbaum <harbaum@metis>  Sun, 21 Jun 2009 12:47:56 +0200
