## osm2go 0.7.6-maemo1

=== debian/changelog ===
osm2go (0.7.6-maemo1) unstable; urgency=low

  * Even better path handling

 -- Till Harbaum <harbaum@metis>  Tue, 23 Jun 2009 21:21:59 +0200
