## osm2go 0.7.6-maemo3

=== debian/changelog ===
osm2go (0.7.6-maemo3) unstable; urgency=low

  * Dependency adjustment

 -- Till Harbaum <harbaum@metis>  Wed, 01 Jul 2009 21:13:33 +0200

osm2go (0.7.6-maemo2) unstable; urgency=low

  * Installation path bug fix

 -- Till Harbaum <harbaum@metis>  Tue, 23 Jun 2009 22:41:07 +0200
