## osm2go 0.7.7-maemo1

=== debian/changelog ===
osm2go (0.7.7-maemo1) unstable; urgency=low

  * Reordered menues for more consistency
  * Fremantlized menues
  * Relation list reachable from object info
	
 -- Till Harbaum <till@harbaum.org>  Mon, 06 Jul 2009 07:57:22 +0200
