=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 Package: osm2go
 Architecture: any
+Pre-Depends: 
 Depends: ${shlibs:Depends}, libgoocanvas3
 Description: Mobile OpenStreeMap Editor
  OSM2Go is a lightweight editor for OpenStreetMap intended for mobile
