## osm2go 0.7.8-maemo1

=== debian/changelog ===
osm2go (0.7.8-maemo1) unstable; urgency=low

  * Built-in slippy map based on osm-gps-map 
  * First steps with project wizard
  * Consistency bug fix when editing the currently active project
  * Cleaned up handling of "createy_by" and "source" tags
	
 -- Till Harbaum <till@harbaum.org>  Wed, 08 Jul 2009 17:46:00 +0200
