## osm2go 0.7.9-maemo1

=== debian/changelog ===
osm2go (0.7.9-maemo1) unstable; urgency=low

  * Osm-gps-map map backported to soup-2.2 for chinook and diablo

 -- Till Harbaum <till@harbaum.org>  Fri, 10 Jul 2009 21:46:15 +0200
