=== debian/changelog ===
osm2go (0.7.10-maemo1) unstable; urgency=low

  * Draw exact border in osm-gps-map
  * Simplified project edit dialog
	
 -- Till Harbaum <till@harbaum.org>  Sun, 12 Jul 2009 13:29:00 +0200
