## osm2go 0.7.11-maemo1

=== debian/changelog ===
osm2go (0.7.11-maemo1) unstable; urgency=low

  * Nice initial centering of new projects

 -- Till Harbaum <till@harbaum.org>  Mon, 13 Jul 2009 20:46:29 +0200
