## osm2go 0.7.12-maemo1

=== debian/changelog ===
osm2go (0.7.12-maemo1) unstable; urgency=low

  * Fremantle submenu handling fixed
  * GPS centering of osm-gps-map
  * Ignore created_by tags when e.g. copying tags
  * Progress in undo feature
  * Unified base objects
  * Bug fix in way/node hash table handling
	
 -- Till Harbaum <till@harbaum.org>  Mon, 20 Jul 2009 17:59:44 +0200
