## osm2go 0.7.13-maemo1

=== debian/changelog ===
osm2go (0.7.13-maemo1) unstable; urgency=low

  * Detail scale popup

 -- Till Harbaum <till@harbaum.org>  Mon, 27 Jul 2009 21:13:48 +0200
