=== debian/changelog ===
osm2go (0.7.14-maemo1) unstable; urgency=low

  * Fixed fremantle zoom buttons
  * Explicitely enable GPS in fremantle

 -- Till Harbaum <till@harbaum.org>  Thu, 30 Jul 2009 20:00:20 +0200
