## osm2go 0.7.15-maemo1

=== debian/changelog ===
osm2go (0.7.15-maemo1) unstable; urgency=low

  * Fixed "goto gps" in osm-gps-map
  * Changed main screen detail icon
  * Prevent GPS indicator from zooming too small
	
 -- Till Harbaum <till@harbaum.org>  Thu, 30 Jul 2009 20:22:52 +0200
