=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	# Add here commands to configure the package.
	dh_testdir
	./configure --prefix=/usr 
	#--exec-prefix=/usr
	#XXX dh_auto_configure
	touch "$@"

build: build-stamp

build-stamp: configure-stamp
	# Add here commands to compile the package.
	dh_testdir
	#XXX dh_auto_build
	DESTDIR=`pwd`/debian/osm2go $(MAKE)
	# VERSION_PREFIX=`perl debian/parse-changelog prefix $(TRUNK_VERSION)`  \
	# VERSION_SUFFIX=`perl debian/parse-changelog suffix $(TRUNK_VERSION)`  \
	# $(MAKE)
	#docbook-to-man debian/osm2go.sgml > osm2go.1
	touch $@

clean: configure-stamp
	# Add here commands to clean up after the build process.
	dh_testdir
	dh_testroot
	#XXX dh_auto_clean
	$(MAKE) distclean
	rm -f build-stamp configure-stamp
	dh_clean 

install: build
	# Add here commands to install the package into debian/osm2go.
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	#XXX dh_auto_install
	DESTDIR=`pwd`/debian/osm2go $(MAKE) install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
	dh_desktop
#XXX	dh_icons
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman data/osm2go.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
