## osm2go 0.7.16-maemo1

=== debian/changelog ===
osm2go (0.7.16-maemo1) unstable; urgency=low

  * use pannable areas in all lists
  * user finger sized buttons where possible/useful
  * updated osm-gps-map
	
 -- Till Harbaum <till@harbaum.org>  Tue, 04 Aug 2009 18:38:07 +0200
