## osm2go 0.7.17-maemo1

=== debian/changelog ===
osm2go (0.7.17-maemo1) unstable; urgency=low

  * Updated osm-gps-map
  * autosave every two minutes
  * Keep OSM backup to cope with failing download
  * Finally found the icon bug and thus removed all options to disable icons
	
 -- Till Harbaum <till@harbaum.org>  Thu, 20 Aug 2009 21:13:23 +0200
