=== debian/changelog ===
osm2go (0.7.18-maemo1) unstable; urgency=low

  * Track redraw bugfix
  * No tile caching in OSM map for area selection

 -- Till Harbaum <till@harbaum.org>  Thu, 27 Aug 2009 17:18:56 +0200
