## osm2go 0.7.19-maemo1

=== debian/changelog ===
osm2go (0.7.19-maemo1) unstable; urgency=low

  * Check area for useful values
  * Updated osm-gps-map
  * Fixed crash with empty tag list on fremantle
  * Right side button bar on fremantle
	
 -- Till Harbaum <till@harbaum.org>  Mon, 31 Aug 2009 17:56:24 +0200
