## osm2go 0.7.20-maemo1

=== debian/changelog ===
osm2go (0.7.20-maemo1) unstable; urgency=low

  * Fixed viewport follow bug
  * Create backups of diff and track before saving
  * Button size fixes
	
 -- Till Harbaum <till@harbaum.org>  Sat, 05 Sep 2009 12:18:30 +0200
